#!/bin/sh
INST_PREF="$PWD/installed"

if [ $(uname) = Darwin ] 
then
    export DYLD_LIBRARY_PATH="${INST_PREF}/lib:${INST_PREF}/lib/ncl:$DYLD_LIBRARY_PATH"
else
    export LD_LIBRARY_PATH="${INST_PREF}/lib:${INST_PREF}/lib/ncl:${INST_PREF}/lib64:$LD_LIBRARY_PATH"
fi

set -x

tar xfvz ncl-2.1.18.tar.gz
mkdir buildncl
cd buildncl || exit
../ncl-2.1.18/configure --prefix="${INST_PREF}" || exit
make -j4 || exit
make || exit
make install || exit
cd ..


if true
then
    tar xfvz libhmsbeagle-1.1.0.tar.gz 
    mkdir buildbeagle 
    cd buildbeagle || exit
    CFLAGS="-arch x86_64" CXXFLAGS="-arch x86_64" ../libhmsbeagle-1.1.0/configure --without-jdk --without-cuda --prefix="${INST_PREF}" || exit
    make -j4 || exit
    make || exit
    make install || exit
    cd ..
fi 

tar xfzv pytbeaglehon-0.0.1.tar.gz 
mkdir buildpytbeagle 
cd buildpytbeagle || exit
../pytbeaglehon-0.0.1/configure --prefix="${INST_PREF}" --with-ncl="${INST_PREF}" --with-beaglelib="${INST_PREF}" || exit
make || exit
make install || exit
cd -

tar xfvz phypatternprob-0.0.1.tar.gz 
mkdir buildpatprob 
cd buildpatprob || exit
../phypatternprob-0.0.1/configure --with-ncl="${INST_PREF}" --with-pytbeaglehon="${INST_PREF}" --prefix="${INST_PREF}" --with-beagle="${INST_PREF}" || exit
make || exit
make install || exit
cd -

cd phypatternprob-0.0.1/test/waddellEtAl || exit
"${INST_PREF}/bin/PhyPatClassProb" -f0.252818,0.284001,0.256973 -r1.86149,5.25704,0.72040,0.97137,6.83511 ./rag1wMLTree.nex -m0,0.129385382,0.348650344,0.57517613,0.831849857,1.14122287,1.54443828,2.148571055,3.696423412 -p0.23193,0.09600875,0.09600875,0.09600875,0.09600875,0.09600875,0.09600875,0.09600875 >output || exit
echo "The following diff should only show differences at the top of the file related to paths to the executable" 
diff output rag1wMLTreeOutput.txt
